QwtSetSeriesData(3)

NAME
QwtSetSeriesData - Interface for iterating over an array of samples.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QwtSetSample >.

  Public Member Functions
QwtSetSeriesData (const QVector< QwtSetSample > &=QVector< QwtSetSample >())
virtual QRectF boundingRect () const override
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of samples.

Definition at line 239 of file qwt_series_data.h.

Constructor & Destructor Documentation

  QwtSetSeriesData::QwtSetSeriesData (const QVector< QwtSetSample > & samples = QVector< QwtSetSample >( ))
Constructor

Parameters
    samples Samples

Definition at line 353 of file qwt_series_data.cpp.

Member Function Documentation

  QRectF QwtSetSeriesData::boundingRect () const [override], [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
    Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 366 of file qwt_series_data.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.